> For the complete documentation index, see [llms.txt](https://docs.edgetag.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.edgetag.io/implementation/browser/user-info/standard-keys.md).

# Standard Keys

These are standard keys that we save in our **main** ID graph table. These are the keys that can be send to `user` function that do not accept any other custom keys.

| Key         | Format                                                                                                                                                                                                                         | Example           |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------- |
| email       | lowercase and no leading or trailing spaces                                                                                                                                                                                    | <user@domain.com> |
| phone       | in E.164 format                                                                                                                                                                                                                | +14154552670      |
| firstName   | lowercase with no punctuation. If using special characters, the text must be encoded in UTF-8 format                                                                                                                           | jane              |
| lastName    | lowercase with no punctuation. If using special characters, the text must be encoded in UTF-8 format                                                                                                                           | doe               |
| gender      | f for female / m for male                                                                                                                                                                                                      | f                 |
| dateOfBirth | <p>Format is YYYYMMDD, without punctuation.<br>Year: Use the YYYY format from 1900 to current year.<br>Month: Use the MM format: 01 to 12.<br>Date: Use the DD format: 01 to 31.</p>                                           | 19950521          |
| city        | lowercase with no punctuation. If using special characters, the text must be encoded in UTF-8 format                                                                                                                           | fremont           |
| state       | [2-character ANSI abbreviation code](https://en.wikipedia.org/wiki/Federal_Information_Processing_Standard_state_code) in lowercase. States outside the U.S. should be in lowercase with no punctuation, no special characters | ca                |
| zip         | lowercase with no spaces and no dash                                                                                                                                                                                           | 94538             |
| country     | lowercase, 2-letter country code in [ISO 3166-1 Alpha 2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)                                                                                                                     | us                |
| ip          | IPv4 / IPv6                                                                                                                                                                                                                    | 117.182.233.16    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.edgetag.io/implementation/browser/user-info/standard-keys.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
